Bug 55546 - undefined symbol: __divdi3 error when specifying 'limit' module
Summary: undefined symbol: __divdi3 error when specifying 'limit' module
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: iptables (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-01 20:40 UTC by Ben Levenson
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-13 21:08:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
iptables.sh - opens 22 and 68, exposes bug in limits module (5.88 KB, text/plain)
2001-11-20 22:21 UTC, Ben Levenson
no flags Details

Description Ben Levenson 2001-11-01 20:40:58 UTC
Description of Problem:
The following rule doesn't work on ia64, but it will work on x86:
  [root@dhcpd204 root]# iptables -A INPUT -s 0/0 -p icmp --icmp-type ping \
  -m limit --limit 1/sec --limit-burst 2 -j ACCEPT
  iptables v1.2.3: Couldn't load match 
  `limit':/lib/iptables/libipt_limit.so: undefined symbol: __divdi3

  Try `iptables -h' or 'iptables --help' for more information.

Version-Release number of selected component (if applicable):
iptables-1.2.3-2
iptables-ipv6-1.2.3-2
kernel-2.4.9-9.1smp
glibc-2.2.4-19
(FWIW, I verified this behavior w/ iptables-1.2.4-1 as well.)

How Reproducible:
100% 

Steps to Reproduce:
1. try to set up iptables w/ the attached script. All of the rules that
   don't use the limit module work as expected.

Comment 1 Bill Nottingham 2001-11-02 05:40:43 UTC
The makefiles for the shared objects should be ussing gcc -shared, *not* ld -shared.

Comment 2 Bill Nottingham 2001-11-02 05:58:46 UTC
At least, I think that's the proper solution to this - jakub?

Comment 3 Ben Levenson 2001-11-20 22:21:49 UTC
Created attachment 38123 [details]
iptables.sh - opens 22 and 68, exposes bug in limits module

Comment 4 Bill Nottingham 2003-01-13 21:08:26 UTC
Deferring, reopen if this persists in AS3-ish.


Note You need to log in before you can comment on or make changes to this bug.